The zone's dictionary
GET/api/public/v1/zones/{zone_id}/dictionary beta
Every table of the zone's chain, root first, each with its origin zone, case_sensitive, in_use and its values with their origin zone. Inherited tables and values cannot be changed from here.
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary' \ -H "Authorization: Bearer $OPENLATCH_API_KEY"import jsonimport osimport urllib.request
request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary', method='GET', headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}Invoke-RestMethod -Method GET -Uri 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary' -Headers $headers | ConvertTo-Json -Depth 20Autorización
Sección titulada «Autorización»| Rol en la organización | Este punto de conexión |
|---|---|
owner | Permitido |
admin | Permitido |
editor | Permitido |
viewer | Permitido |
Una clave tiene el rol que su propietario ocupa en la organización. Consulte Autenticación.
Ámbito de la clave de API: zones:read
Parámetros de ruta
Sección titulada «Parámetros de ruta»| Parámetro | Tipo | Descripción |
|---|---|---|
zone_id | string (uuid) | Obligatorio. |
Respuesta
Sección titulada «Respuesta»- 200 OK — la llamada se completó correctamente.
- 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 404 Not Found —
NOT_FOUND - 422 Unprocessable Content —
INVALID_ID,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Campos de la respuesta
Sección titulada «Campos de la respuesta»| Campo | Tipo | Descripción |
|---|---|---|
data | object | Obligatorio. |
data.tables | array of object | Obligatorio. |
data.tables[].case_sensitive | boolean | Obligatorio. |
data.tables[].in_use | boolean | Obligatorio. True when deleting the table would answer DICTIONARY_TABLE_IN_USE. |
data.tables[].kinds | array of object | Obligatorio. |
data.tables[].name | string | Obligatorio. |
data.tables[].observation | string | Obligatorio. |
data.tables[].origin_zone_id | string | Obligatorio. |
data.tables[].question | object or null | |
data.tables[].values | array of object | Obligatorio. |
Ejemplo de respuesta
Sección titulada «Ejemplo de respuesta»{ "data": { "tables": [ { "case_sensitive": false, "in_use": false, "kinds": [ "string" ], "name": "release-bot", "observation": "string", "origin_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "question": "string", "values": [ { "origin_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "value": "string" } ] } ] }}